# Uses of Interface
org.eclipse.ui.IActionBars

Packages that use IActionBars
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.actions
Classes for actions and operations used in a workbench window, page, or part in the Eclipse Platform User Interface.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.intro
Application programming interfaces for interaction with and extension of the product introduction parts.
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.navigator.resources
Provides reusable components for clients that need to expand on the capabilities provided by the reference Common Navigator Resources extension.
org.eclipse.ui.operations
Classes that provide the basic workbench UI support for undo and redo of operations.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.
org.eclipse.ui.views.navigator
Provides the standard Resource Navigator view which presents the tree of resources in the workspace.
org.eclipse.ui.views.properties
Provides the standard Property Sheet view which displays custom properties of the active workbench part's current selection.
org.eclipse.ui.views.properties.tabbed
Provides the Tabbed Properties framework.

## Uses of IActionBars in org.eclipse.compare

Methods in org.eclipse.compare that return IActionBars
Modifier and Type
Method
Description
`IActionBars`
CompareEditorInput.`getActionBars()`
`IActionBars`
ICompareContainer.`getActionBars()`
Return the action bars for the container or `null` if the container does not have an action bars.

## Uses of IActionBars in org.eclipse.team.ui.mapping

Methods in org.eclipse.team.ui.mapping with parameters of type IActionBars
Modifier and Type
Method
Description
`void`
SynchronizationActionProvider.`fillActionBars(IActionBars actionBars)`

## Uses of IActionBars in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize that return IActionBars
Modifier and Type
Method
Description
`IActionBars`
ISynchronizePageSite.`getActionBars()`
Returns the action bars for this synchronize page site.
Methods in org.eclipse.team.ui.synchronize with parameters of type IActionBars
Modifier and Type
Method
Description
`void`
ModelSynchronizeParticipantActionGroup.`fillActionBars(IActionBars actionBars)`
`void`
SynchronizePageActionGroup.`fillActionBars(IActionBars actionBars)`

## Uses of IActionBars in org.eclipse.ui

Subinterfaces of IActionBars in org.eclipse.ui
Modifier and Type
Interface
Description
`interface`
`IActionBars2`
Interface extention to `IActionBars` that provides an additional cool bar manager.
Classes in org.eclipse.ui that implement IActionBars
Modifier and Type
Class
Description
`class`
`SubActionBars`
Generic implementation of the `IActionBars` interface.
`class`
`SubActionBars2`
A implementation of the extended `IActionBars2` interface.
Methods in org.eclipse.ui that return IActionBars
Modifier and Type
Method
Description
`IActionBars`
IEditorSite.`getActionBars()`
Returns the action bars for this part site.
`IActionBars`
IViewSite.`getActionBars()`
Returns the action bars for this part site.
`protected final IActionBars`
SubActionBars.`getParent()`
Return the parent action bar manager.
Methods in org.eclipse.ui with parameters of type IActionBars
Modifier and Type
Method
Description
`void`
IEditorActionBarContributor.`init(IActionBars bars, IWorkbenchPage page)`
Initializes this contributor, which is expected to add contributions as required to the given action bars and global action handlers.
Constructors in org.eclipse.ui with parameters of type IActionBars
Modifier
Constructor
Description
``
`SubActionBars(IActionBars parent)`
Construct a new `SubActionBars` object.
``
`SubActionBars(IActionBars parent, IServiceLocator serviceLocator)`
Constructs a new instance of `SubActionBars`.

## Uses of IActionBars in org.eclipse.ui.actions

Methods in org.eclipse.ui.actions with parameters of type IActionBars
Modifier and Type
Method
Description
`void`
ActionGroup.`fillActionBars(IActionBars actionBars)`
Adds the applicable actions to a part's action bars, including setting any global action handlers.
`void`
WorkingSetFilterActionGroup.`fillActionBars(IActionBars actionBars)`
Constructors in org.eclipse.ui.actions with parameters of type IActionBars
Modifier
Constructor
Description
``
`TextActionHandler(IActionBars actionBar)`
Creates a `Text` control action handler for the global Cut, Copy, Paste, Delete, and Select All of the action bar.
``
`TextActionHandler(IActionBars actionBar, boolean autoMode)`
Creates a `Text` control action handler for the global Cut, Copy, Paste, Delete, and Select All of the action bar.

## Uses of IActionBars in org.eclipse.ui.console

Methods in org.eclipse.ui.console with parameters of type IActionBars
Modifier and Type
Method
Description
`void`
TextConsolePage.`setActionBars(IActionBars actionBars)`
`protected void`
TextConsolePage.`setGlobalAction(IActionBars actionBars, String actionID, IAction action)`
Configures an action for key bindings.

## Uses of IActionBars in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text with parameters of type IActionBars
Modifier and Type
Method
Description
`void`
EncodingActionGroup.`fillActionBars(IActionBars actionBars)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
TextEditorActionContributor.`init(IActionBars bars)`

## Uses of IActionBars in org.eclipse.ui.intro

Methods in org.eclipse.ui.intro that return IActionBars
Modifier and Type
Method
Description
`IActionBars`
IIntroSite.`getActionBars()`
Returns the action bars for this part site.

## Uses of IActionBars in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator that return IActionBars
Modifier and Type
Method
Description
`IActionBars`
ICommonViewerWorkbenchSite.`getActionBars()`
Returns the action bars for this page site.
Methods in org.eclipse.ui.navigator with parameters of type IActionBars
Modifier and Type
Method
Description
`void`
NavigatorActionService.`fillActionBars(IActionBars theActionBars)`
Request that the service invoke extensions to fill the given IActionBars with retargetable actions or view menu contributions from Action Providers that are interested in the given selection.

## Uses of IActionBars in org.eclipse.ui.navigator.resources

Methods in org.eclipse.ui.navigator.resources with parameters of type IActionBars
Modifier and Type
Method
Description
`void`
GoIntoActionProvider.`fillActionBars(IActionBars actionBars)`

## Uses of IActionBars in org.eclipse.ui.operations

Methods in org.eclipse.ui.operations with parameters of type IActionBars
Modifier and Type
Method
Description
`void`
UndoRedoActionGroup.`fillActionBars(IActionBars actionBars)`

## Uses of IActionBars in org.eclipse.ui.part

Methods in org.eclipse.ui.part that return IActionBars
Modifier and Type
Method
Description
`IActionBars`
EditorActionBarContributor.`getActionBars()`
Returns this contributor's action bars.
`IActionBars`
IPageSite.`getActionBars()`
Returns the action bars for this page site.
`IActionBars`
MultiPageEditorSite.`getActionBars()`
The `MultiPageEditorSite` implementation of this `IEditorSite` method forwards to the multi-page editor to return the action bars.
`IActionBars`
PageSite.`getActionBars()`
The PageSite implementation of this `IPageSite` method returns the `SubActionBars` for this site.
Methods in org.eclipse.ui.part with parameters of type IActionBars
Modifier and Type
Method
Description
`void`
EditorActionBarContributor.`init(IActionBars bars)`
This method calls: `contributeToMenu` with `bars`' menu manager `contributeToToolBar` with `bars`' tool bar manager `contributeToCoolBar` with `bars`' cool bar manager if `IActionBars` is of extended type `IActionBars2` `contributeToStatusLine` with `bars`' status line manager The given action bars are also remembered and made accessible via `getActionBars`.
`void`
EditorActionBarContributor.`init(IActionBars bars, IWorkbenchPage page)`
The `EditorActionBarContributor` implementation of this `IEditorActionBarContributor` method remembers the page then forwards the call to `init(IActionBars)` for backward compatibility
`void`
IPage.`setActionBars(IActionBars actionBars)`
Allows the page to make contributions to the given action bars.
`void`
Page.`setActionBars(IActionBars actionBars)`
This method exists for backward compatibility.
Constructors in org.eclipse.ui.part with parameters of type IActionBars
Modifier
Constructor
Description
``
`CellEditorActionHandler(IActionBars actionBar)`
Creates a `CellEditor` action handler for the global Cut, Copy, Paste, Delete, Select All, Find, Undo, and Redo of the action bar.

## Uses of IActionBars in org.eclipse.ui.views.navigator

Methods in org.eclipse.ui.views.navigator with parameters of type IActionBars
Modifier and Type
Method
Description
`void`
GotoActionGroup.`fillActionBars(IActionBars actionBars)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
MainActionGroup.`fillActionBars(IActionBars actionBars)`
Deprecated, for removal: This API element is subject to removal in a future version.
Adds the actions in this group and its subgroups to the action bars.
`void`
RefactorActionGroup.`fillActionBars(IActionBars actionBars)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
SortAndFilterActionGroup.`fillActionBars(IActionBars actionBars)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
WorkspaceActionGroup.`fillActionBars(IActionBars actionBars)`
Deprecated, for removal: This API element is subject to removal in a future version.

## Uses of IActionBars in org.eclipse.ui.views.properties

Methods in org.eclipse.ui.views.properties with parameters of type IActionBars
Modifier and Type
Method
Description
`void`
PropertySheetPage.`setActionBars(IActionBars actionBars)`
The `PropertySheetPage` implementation of this `IPage` method calls `makeContributions` for backwards compatibility with previous versions of `IPage`.

## Uses of IActionBars in org.eclipse.ui.views.properties.tabbed

Methods in org.eclipse.ui.views.properties.tabbed with parameters of type IActionBars
Modifier and Type
Method
Description
`void`
IActionProvider.`setActionBars(ITabbedPropertySheetPageContributor contributor, IActionBars actionBars)`
Allows the page to make contributions to the given action bars.
`void`
TabbedPropertySheetPage.`setActionBars(IActionBars actionBars)`